# Disable -Werror=implicit-function-declaration as it breaks the build
#%global build_type_safety_c 0

%global _hardened_build 0

%global gitdate 20240822
%global commit e1d14578aa2afbb57a563c98728b169ffec81ce4
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary: framework for 3D first-person shooter games
Name:    alephone
#Version: %{gitdate}git.%{shortcommit}
Version: 20240822
Release: 1%{?dist}
License: GPL
Source0: https://github.com/Aleph-One-Marathon/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
URL:     https://alephone.lhowon.org/

BuildRequires: SDL2-devel
BuildRequires: SDL2_ttf-devel
BuildRequires: SDL2_image-devel
BuildRequires: SDL2_net-devel
BuildRequires: boost-devel
BuildRequires: zlib-devel
BuildRequires: curl-devel
BuildRequires: speex-devel
BuildRequires: ffmpeg-devel
BuildRequires: libpng-devel
BuildRequires: expat-devel
BuildRequires: libmad-devel
BuildRequires: libsndfile-devel
BuildRequires: libvorbis-devel
BuildRequires: zziplib-devel
BuildRequires: pkgconf-pkg-config
BuildRequires: autoconf-archive
BuildRequires: gcc-c++
BuildRequires: openal-soft-devel

Requires:      dejavu-lgc-sans-fonts

#Patch0:        https://github.com/Aleph-One-Marathon/alephone/commit/518908ac39437d22040799e0ee6206c9047fccef.patch
#Patch1:	https://github.com/Aleph-One-Marathon/alephone/commit/823906ecda814f1cf7fd2f41b0b526f9f7632e3c.patch
# to fix compilation with gcc14
#Patch2:		https://github.com/Aleph-One-Marathon/alephone/commit/e7315e5ec01bbf95981ca6a93ed168b75051fbc4.patch

%description
Aleph One is an Open Source 3D first-person shooter game, based on the game
Marathon 2 by Bungie Software. It is set in a Sci-Fi universe dominated by
deviant computer AIs and features a well thought-out plot. Aleph One
supports, but doesn't require, OpenGL for rendering.

Aleph One requires additional data -- shape, sound, and map
information -- in order to run. The easiest way to get this is to go
to http://source.bungie.org/get/, and download one of the scenario zip
files there. Unzip it, and pass the resulting directory as an argument
to alephone. For example:

alephone "~/Marathon Infinity"

%prep
%autosetup -n %{name}-%{commit} -p1

%build
#export CFLAGS="${RPM_OPT_FLAGS} -std=gnu89"
#export CXXFLAGS="${RPM_OPT_FLAGS} -std=gnu89"
autoreconf -i
#NOCONFIGURE=1 ./autogen.sh

%configure 
make %{?_smp_mflags} 
#%make_build CFLAGS="%{optflags} --std=gnu99"

%install
%makeinstall
for font in DejaVuLGCSansCondensed-Bold.ttf DejaVuLGCSansCondensed-BoldOblique.ttf; do
    ln -sf %{_datadir}/fonts/dejavu/$font $RPM_BUILD_ROOT%{_datadir}/AlephOne/Plugins/Default_Theme/$font
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/AlephOne/examples/lua
cp examples/lua/* $RPM_BUILD_ROOT%{_datadir}/AlephOne/examples/lua/

%files
%defattr(-,root,root)
%doc AUTHORS COPYING docs/README.txt README.md docs/MML.html docs/Lua.html docs/Lua_HUD.html
%{_bindir}/alephone
%{_datadir}/AlephOne/
%{_datadir}/AlephOne/examples/lua/Cheats.lua
%{_datadir}/AlephOne/examples/lua/Alien_Weapons_For_All.txt
%{_datadir}/AlephOne/examples/lua/Doomcharge.txt
%{_datadir}/AlephOne/examples/lua/Indirect_Kills_Only.txt
%{_datadir}/AlephOne/examples/lua/Keep_Away_From_Bob.txt
%{_datadir}/AlephOne/examples/lua/One_Per_Team_KOTH.txt
%{_datadir}/AlephOne/examples/lua/
%{_datadir}/AlephOne/MML
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man6/alephone.6.gz
%{_datadir}/AlephOne/Plugins/
%{_datadir}/AlephOne/Plugins/Default_Theme/
%{_datadir}/AlephOne/Plugins/Default_Theme/*
%{_datadir}/icons/hicolor/*/*/*.png


%changelog
* Sun Aug 25 2024 josef radinger <cheese@nosuchhost.net> - 20240822-1
- bump version
- remove patch2

* Thu Aug 22 2024 josef radinger <cheese@nosuchhost.net> - 20240712-1
- bump version

* Mon May 20 2024 josef radinger <cheese@nosuchhost.net> - 20240513git.3b43f25-1
- bump version

* Sun Feb 11 2024 josef radinger <cheese@nosuchhost.net> - 20240119git.2f2e16b-1
- bump version
- add openal-sofot-devel to BuildRequires
- set buildy_type_safety (implicit-function-warning)
- add Patch2 to fix incompatible-pointer-types

* Thu Jun 22 2023 josef radinger <cheese@nosuchhost.net> - 20230529git.1f4c973-1
- bump version

* Thu Feb 09 2023 josef radinger <cheese@nosuchhost.net> - 20230119git.1bbfceb-1
- bump version

* Sun Dec 04 2022 josef radinger <cheese@nosuchhost.net> - 20221126git.789b88c-1
- bump version
- remove patch1
- cleanup spec-file
- add pkgconf-pkg-config + autoconf-archive to buildrequires
- disable autogen.sh
- some changes in docs

* Thu Nov 24 2022 josef radinger <cheese@nosuchhost.net> - 20220115git.b268fc6-2
- add patch1 to fix compilation with ffmpeg

* Wed Feb 16 2022 josef radinger <cheese@nosuchhost.net> - 20220115git.b268fc6-1
- bump version

* Tue Sep 01 2020 josef radinger <cheese@nosuchhost.net> - 20200830git.2297dae-1
- bump version

* Tue Aug 25 2020 josef radinger <cheese@nosuchhost.net> - 20200807git.20c92cc-1
- bump version

* Tue Apr 02 2019 josef radinger <cheese@nosuchhost.net> - 20190331git.5d1476f-1
- bump version

* Fri Dec 14 2018 josef radinger <cheese@nosuchhost.net> - 20181121git.cfff694-5
- disable hardened build for now

* Sat Nov 24 2018 josef radinger <cheese@nosuchhost.net> - 20181006git.cfff694-4
- bump version 
- remove patch1 (we are on master now)

* Thu Nov 22 2018 josef radinger <cheese@nosuchhost.net> - 20181006git.3c4f22c-3
- bump version

* Wed Oct 31 2018 josef radinger <cheese@nosuchhost.net> - 20181006git.3c4f22c-2
- add gcc-c++ to BuildRequires

* Sat Oct 06 2018 josef radinger <cheese@nosuchhost.net> - 20181006git.3c4f22c-1
- bump version

* Tue Oct 02 2018 josef radinger <cheese@nosuchhost.net> - 20180930git.cafdaf1-1
- bump version

* Thu Feb 15 2018 josef radinger <cheese@nosuchhost.net> - 20180104git.b052012-2
- fix URL

* Sat Feb 03 2018 josef radinger <cheese@nosuchhost.net> - 20180104git.b052012-1
- initial version for fedora
- fix bogus dates in changelog

* Sat Jun 21 2008 Gregory Smith <wolfy@treellama.org>
- removed the dependence on AlephOne-core-data (users can use unimap zip files)
- removed deprecated cheats docs
- updated required libraries (there are many)

* Sun Nov 20 2005 Christian Bauer <www.cebix.net>
- modernized the spec file a bit

* Thu Oct  5 2000 Christian Bauer <Christian.Bauer@uni-mainz.de>
- Added docs and theme data files
- Package name and version are set by configure script

* Sat Sep 30 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added a requirement to the base package for AlephOne-core-data
- Split out the Marathon Infinity Demo data into its own package

* Fri Sep 29 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added patch for SDL 1.1.5 SDL_SetClipping incompatability.

* Sat Sep 23 2000 Tom Moertel <tom-rpms-alephone@moertel.com>
- Added Marathon Infinity Demo data to package.

